---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    description: kubernetes-nmstate-handler configures and presents node networking,
      reconciling declerative NNCP and reports with NNS and NNCE
    openshift.io/scc: privileged
  creationTimestamp: "2025-10-27T12:41:21Z"
  generateName: nmstate-handler-
  labels:
    app: kubernetes-nmstate
    component: kubernetes-nmstate-handler
    controller-revision-hash: df48b77cd
    name: nmstate-handler
    pod-template-generation: "1"
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:description: {}
          f:target.workload.openshift.io/management: {}
        f:generateName: {}
        f:labels:
          .: {}
          f:app: {}
          f:component: {}
          f:controller-revision-hash: {}
          f:name: {}
          f:pod-template-generation: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"ded5b53e-f971-4e3e-9cab-268ea1560b09"}: {}
      f:spec:
        f:affinity:
          .: {}
          f:nodeAffinity:
            .: {}
            f:requiredDuringSchedulingIgnoredDuringExecution: {}
        f:containers:
          k:{"name":"nmstate-handler"}:
            .: {}
            f:args: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"COMPONENT"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"ENABLE_PROFILER"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"MANAGED_BY"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"NMSTATE_INSTANCE_NODE_LOCK_FILE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"OPERATOR_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"PART_OF"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"POD_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"PROBE_DNS_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"PROFILER_PORT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"VERSION"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"WATCH_NAMESPACE"}:
                .: {}
                f:name: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:livenessProbe:
              .: {}
              f:exec:
                .: {}
                f:command: {}
              f:failureThreshold: {}
              f:initialDelaySeconds: {}
              f:periodSeconds: {}
              f:successThreshold: {}
              f:timeoutSeconds: {}
            f:name: {}
            f:readinessProbe:
              .: {}
              f:exec:
                .: {}
                f:command: {}
              f:failureThreshold: {}
              f:initialDelaySeconds: {}
              f:periodSeconds: {}
              f:successThreshold: {}
              f:timeoutSeconds: {}
            f:resources:
              .: {}
              f:limits:
                .: {}
                f:cpu: {}
                f:memory: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/run/dbus/system_bus_socket"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/run/openvswitch"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/k8s_nmstate"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:hostNetwork: {}
        f:nodeSelector: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"dbus-socket"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"nmstate-lock"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"ovs-socket"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
    manager: kube-controller-manager
    operation: Update
    time: "2025-10-27T12:41:21Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodReadyToStartContainers"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:hostIPs: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.46.248.134"}:
            .: {}
            f:ip: {}
          k:{"ip":"2620:52:0:2ef8::86"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    subresource: status
    time: "2025-10-27T12:41:44Z"
  name: nmstate-handler-j9p88
  namespace: openshift-nmstate
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: DaemonSet
    name: nmstate-handler
    uid: ded5b53e-f971-4e3e-9cab-268ea1560b09
  resourceVersion: "53852"
  uid: b194277b-9f21-462a-8bfc-36330ba2a476
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchFields:
          - key: metadata.name
            operator: In
            values:
            - cnvqe-072.lab.eng.tlv2.redhat.com
  containers:
  - args:
    - --zap-time-encoding=iso8601
    command:
    - manager
    env:
    - name: WATCH_NAMESPACE
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    - name: COMPONENT
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.labels['app.kubernetes.io/component']
    - name: PART_OF
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.labels['app.kubernetes.io/part-of']
    - name: VERSION
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.labels['app.kubernetes.io/version']
    - name: MANAGED_BY
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.labels['app.kubernetes.io/managed-by']
    - name: OPERATOR_NAME
      value: nmstate
    - name: NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    - name: ENABLE_PROFILER
      value: "False"
    - name: PROFILER_PORT
      value: "6060"
    - name: NMSTATE_INSTANCE_NODE_LOCK_FILE
      value: /var/k8s_nmstate/handler_lock
    - name: PROBE_DNS_HOST
      value: root-servers.net
    image: registry.redhat.io/openshift4/ose-kubernetes-nmstate-handler-rhel9@sha256:de6880c892c17ae7fa7a564a6383738d65d3f08058afc82b5f987ffe1bcb84cb
    imagePullPolicy: IfNotPresent
    livenessProbe:
      exec:
        command:
        - nmstatectl
        - show
      failureThreshold: 5
      initialDelaySeconds: 60
      periodSeconds: 60
      successThreshold: 1
      timeoutSeconds: 10
    name: nmstate-handler
    readinessProbe:
      exec:
        command:
        - cat
        - /tmp/healthy
      failureThreshold: 3
      initialDelaySeconds: 5
      periodSeconds: 5
      successThreshold: 1
      timeoutSeconds: 1
    resources:
      limits:
        cpu: 500m
        memory: 1Gi
      requests:
        cpu: 100m
        memory: 100Mi
    securityContext:
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /run/dbus/system_bus_socket
      name: dbus-socket
    - mountPath: /var/k8s_nmstate
      name: nmstate-lock
    - mountPath: /run/openvswitch
      name: ovs-socket
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-wn64b
      readOnly: true
  dnsPolicy: Default
  enableServiceLinks: true
  hostNetwork: true
  nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
  nodeSelector:
    kubernetes.io/arch: amd64
    kubernetes.io/os: linux
  preemptionPolicy: PreemptLowerPriority
  priority: 2000001000
  priorityClassName: system-node-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: nmstate-handler
  serviceAccountName: nmstate-handler
  terminationGracePeriodSeconds: 30
  tolerations:
  - operator: Exists
  volumes:
  - hostPath:
      path: /run/dbus/system_bus_socket
      type: Socket
    name: dbus-socket
  - hostPath:
      path: /var/k8s_nmstate
      type: ""
    name: nmstate-lock
  - hostPath:
      path: /run/openvswitch
      type: ""
    name: ovs-socket
  - name: kube-api-access-wn64b
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:41:38Z"
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:41:21Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:41:44Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:41:44Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:41:21Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://fb68a0ffbaa32ca45fb5c62b4441cf2ca734913495a2519d4058c2176c7144e7
    image: registry.redhat.io/openshift4/ose-kubernetes-nmstate-handler-rhel9@sha256:de6880c892c17ae7fa7a564a6383738d65d3f08058afc82b5f987ffe1bcb84cb
    imageID: registry.redhat.io/openshift4/ose-kubernetes-nmstate-handler-rhel9@sha256:935e90919c833e7b3b33a411a2cdc66d297a998c3dd592cd6ad665965b26012e
    lastState: {}
    name: nmstate-handler
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-10-27T12:41:38Z"
    volumeMounts:
    - mountPath: /run/dbus/system_bus_socket
      name: dbus-socket
    - mountPath: /var/k8s_nmstate
      name: nmstate-lock
    - mountPath: /run/openvswitch
      name: ovs-socket
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-wn64b
      readOnly: true
      recursiveReadOnly: Disabled
  hostIP: 10.46.248.134
  hostIPs:
  - ip: 10.46.248.134
  - ip: 2620:52:0:2ef8::86
  phase: Running
  podIP: 10.46.248.134
  podIPs:
  - ip: 10.46.248.134
  - ip: 2620:52:0:2ef8::86
  qosClass: Burstable
  startTime: "2025-10-27T12:41:21Z"
